package com.lantone.dblayermbg.facade;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.dto.AbnormalLogDTO;
import com.lantone.common.vo.GetAbnormalLogVO;
import com.lantone.common.vo.GetAbnormalWayAndIpVO;
import com.lantone.dblayermbg.mapper.AbnormalLogMapper;
import com.lantone.dblayermbg.service.impl.AbnormalLogServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * <p>
 * 表名：sys_abnormal_log 业务类
 * </p>
 */
@Component
public class AbnormalLogFacade extends AbnormalLogServiceImpl {
    @Autowired
    private AbnormalLogMapper abnormalLogMapper;

    /**
     * @Description: 新增异常日志
     * @Param: [abnormalLogDTO]
     * @return: void
     * @Author: cy
     * @Date: 2021/9/8
     */
    public void addOperErrorLog(AbnormalLogDTO abnormalLogDTO) {
        abnormalLogMapper.addOperErrorLog(abnormalLogDTO);
    }

    /**
     * @Description:  查看异常日志
     * @Param: [getAbnormalLogVO]
     * @return: com.baomidou.mybatisplus.core.metadata.IPage<com.lantone.common.dto.AbnormalLogDTO>
     * @Author: cy
     * @Date: 2021/9/8
     */
    public IPage<AbnormalLogDTO> getAbnormalLog(GetAbnormalLogVO getAbnormalLogVO) {
        return  abnormalLogMapper.getAbnormalLog(getAbnormalLogVO);
    }

    /**
     * @Description:  查看异常日志请求方式|ip地址
     * @Param: [getAbnormalWayAndIpVO]
     * @return: java.util.List<java.lang.String>
     * @Author: cy
     * @Date: 2021/9/8
     */
    public List<String> getAbnormalLogWayAndIp(GetAbnormalWayAndIpVO getAbnormalWayAndIpVO) {
        return  abnormalLogMapper.getAbnormalLogWayAndIp(getAbnormalWayAndIpVO);
    }
}