package com.lantone.dblayermbg.facade;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.dto.LoginLogDTO;
import com.lantone.common.vo.GetLoginLogVO;
import com.lantone.common.vo.GetLoginNameAndIpVO;
import com.lantone.dblayermbg.mapper.LoginLogMapper;
import com.lantone.dblayermbg.service.impl.LoginLogServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * <p>
 * 表名：sys_login_log 业务类
 * </p>
 */
@Component
public class LoginLogFacade extends LoginLogServiceImpl {
    @Autowired
    private LoginLogMapper loginLogMapper;

    /**
     * @Description: 新增登录日志
     * @Param: [loginLogDTO]
     * @return: void
     * @Author: cy
     * @Date: 2021/9/8
     */
    public void addLoginLog(LoginLogDTO loginLogDTO) {
        loginLogMapper.addLoginLog(loginLogDTO);
    }

    /**
     * @Description: 查看登录日志
     * @Param: [getLoginLogVO]
     * @return: com.baomidou.mybatisplus.core.metadata.IPage<com.lantone.common.dto.LoginLogDTO>
     * @Author: cy
     * @Date: 2021/9/8
     */
    public IPage<LoginLogDTO> getLoginLog(GetLoginLogVO getLoginLogVO) {
        return loginLogMapper.getLoginLog(getLoginLogVO);
    }

    /**查看登录日志登录用户|登录ip地址
     * @Description:
     * @Param: [getLoginNameAndIpVO]
     * @return: java.util.List<java.lang.String>
     * @Author: cy
     * @Date: 2021/9/8
     */
    public List<String> getLoginLogNameAndIp(GetLoginNameAndIpVO getLoginNameAndIpVO) {
        return loginLogMapper.getLoginLogNameAndIp(getLoginNameAndIpVO);
    }
}