package com.lantone.report.web;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.api.CommonResult;
import com.lantone.common.dto.report.EntryNumDTO;
import com.lantone.common.vo.report.FilterPageVO;
import com.lantone.common.vo.report.FilterVO;
import com.lantone.report.facade.EntryCaseManagementFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import javax.validation.Valid;
import java.util.Map;


/**
 * <p>
 * 条目缺陷管理统计相关API
 * </p>
 *
 * @author zhaops
 * @since 2020-04-27
 */

@RestController
@RequestMapping("/console")
@Api(value = "条目缺陷管理统计相关API", tags = { "条目缺陷管理统计相关API" })
@SuppressWarnings("unchecked")
public class EntryCaseManagementController {
    @Autowired
    private EntryCaseManagementFacade entryCaseManagementFacade;

    /**
     * 条目缺陷占比-控制台
     *
     * @param filterVO
     * @return
     */
    @ApiOperation(value = "条目缺陷占比-控制台[by:zhaops]")
    @PostMapping("/entryCountGroupByEntry")
    public CommonResult<Map<String, Object>> entryCountGroupByEntry(@RequestBody @Valid FilterVO filterVO) {
        return CommonResult.success(entryCaseManagementFacade.entryCountGroupByEntry(filterVO));
    }

    /**
     * 条目缺陷占比-报表
     *
     * @param filterPageVO
     * @return
     */
    @ApiOperation(value = "条目缺陷占比-报表[by:zhaops]")
    @PostMapping("/entryGroupByEntryInnerPage")
    public CommonResult<IPage<EntryNumDTO>> entryGroupByEntryInnerPage(@RequestBody @Valid FilterPageVO filterPageVO) {
        return CommonResult.success(entryCaseManagementFacade.entryGroupByEntryInnerPage(filterPageVO));
    }

    /**
     * 条目缺陷占比-报表导出
     *
     * @param filterPageVO
     * @return
     */
    @ApiOperation(value = "条目缺陷占比-报表导出[by:gaodm]")
    @PostMapping("/entryGroupByEntryExport")
    public void entryGroupByEntryExport(HttpServletResponse response, @RequestBody @Valid FilterPageVO filterPageVO) {
        entryCaseManagementFacade.entryGroupByEntryExport(response, filterPageVO);
    }
}
